﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Windows.Forms;
using RootPro.RootProCAD;
using RootPro.RootProCAD.Command;
using RootPro.RootProCAD.Geometry;
using RootPro.RootProCAD.UI;

//////////////////////////////////////////////////////////////////////////////////////////
// イベントの処理
// RootPro CAD で何らかの操作が行われたことや、図面の状態が変更されたことを通知するために
// RootPro CAD から送られてくるメッセージのことを「イベント」と呼びます。 
// RootPro CAD API では、「イベント」が送られてきたときに特定の処理を行うことができます。 
//////////////////////////////////////////////////////////////////////////////////////////

namespace RCAddInEventCS
{
    [System.AddIn.AddIn("AppAddIn", Version = "1.0", Publisher = "", Description = "")]
    public partial class AppAddIn
    {
        private void AppAddIn_Startup(object sender, EventArgs e)
        {
            // モーダレスウィンドウにするための親ウィンドウオブジェクトを作成
            RootProWindow wnd = new RootProWindow(this);

            Form1 form = new Form1(this);

            // イベントログ用のウィンドウを表示する
            form.Show(wnd);
        }

        private void AppAddIn_Shutdown(object sender, EventArgs e)
        {

        }

        #region VSTA generated code
        private void InternalStartup()
        {
            this.Startup += new System.EventHandler(AppAddIn_Startup);
            this.Shutdown += new System.EventHandler(AppAddIn_Shutdown);
        }
        #endregion
    }
}
